Bug 960529 - GET /resource/{id}/availability/history returns 200 for non-existing resource ID
GET /resource/{id}/availability/history returns 200 for non-existing resource ID
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 06:40 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:16:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-05-07 06:40:33 EDT
Description of problem:


Version-Release number of selected component (if applicable):
JON 3.2.Alpha 25

How reproducible: always


Steps to Reproduce:
GET http://localhost:7080/rest/resource/9999999/availability/history

  
Actual results: server returns 200


Expected results: server returns 404


Additional info:
Comment 1 Heiko W. Rupp 2013-05-08 07:49:18 EDT
master db8f968
Comment 2 Heiko W. Rupp 2013-08-31 06:16:11 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.